// initPopup.js
import Vuex from 'vuex'
export default function initPopup(v) {
  // 挂在store到全局Vue原型上
  v.prototype.$popupStore = new Vuex.Store({
    state: {
		show:false,
		url:"",
		title:""
    },
    mutations: {
		closePopup(state,data) {
			state.show = false
		},
		showPopup(state,data) {
			state = Object.assign(state,data)
			state.show = true
		},
    }
  })
  v.prototype.showPopup = function (option) { 
	if (typeof option === 'object') {
		if(option.hideTabBar){
			wx.hideTabBar();
		}
		v.prototype.$popupStore.commit('showPopup', option)
	}
  }
}
